<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Addon: AD Gallery
| Filename: adgallery_index.php
| Version: 1.0
| Author: jikaka
| Web: www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

add_to_head("<link rel='stylesheet' media='screen' type='text/css' href='".INFUSIONS."ad_gallery/css/ad-gallery.css' />
<script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js'></script>
<script type='text/javascript' src='".INFUSIONS."ad_gallery/js/jquery.ad-gallery.js?rand=995'></script>
<script type='text/javascript'>
$(function() { var galleries = $('.ad-gallery').adGallery(); });
</script>");

if (isset($_GET['album_id']) && isnum($_GET['album_id'])) {
	// Photos start
	define("PHOTODIR", PHOTOS.(!SAFEMODE ? "album_".$_GET['album_id']."/" : ""));
	$result = dbquery("SELECT album_title, album_description, album_thumb, album_access FROM ".DB_PHOTO_ALBUMS." WHERE album_id='".$_GET['album_id']."'");
	if (!dbrows($result)) {
		redirect(FUSION_SELF);
	} else {
		$data = dbarray($result);
		if (!checkgroup($data['album_access'])) {
			redirect(FUSION_SELF);
		} else {
			$rows = dbcount("(photo_id)", DB_PHOTOS, "album_id='".$_GET['album_id']."'");
			add_to_title($locale['global_201'].$data['album_title']);
			opentable($locale['420']);
			echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
			echo "<td rowspan='2' align='center' class='tbl1 photogallery_album_thumb'><!--photogallery_album_thumb-->";
				if ($data['album_thumb'] && file_exists(PHOTOS.$data['album_thumb'])){
					echo "<img src='".PHOTOS.$data['album_thumb']."' alt='".$data['album_thumb']."' />";
				} else {
					echo $locale['432'];
				}
			echo "</td>\n";
			echo "<td valign='top' width='100%'><div class='tbl2' style='font-weight:bold;vertical-align:top'>".$locale['421'].$data['album_title']."</div>\n";
			echo "<div class='tbl1 photogallery_album_desc' style='vertical-align:middle'><!--photogallery_album_desc-->".nl2br(parseubb($data['album_description']))."</div>\n</td>\n</tr>\n";
			echo "<tr>\n<td valign='bottom' width='100%'>\n<div class='tbl2' style='vertical-align:bottom'>\n";
			if ($rows) {
				$pdata = dbarray(dbquery("
					SELECT tp.photo_datestamp, tu.user_id, tu.user_name, tu.user_status FROM ".DB_PHOTOS." tp
					LEFT JOIN ".DB_USERS." tu ON tp.photo_user=tu.user_id
					WHERE album_id='".$_GET['album_id']."' ORDER BY photo_datestamp DESC LIMIT 1"
				));
				echo $locale['422']."$rows<br />\n";
				echo $locale['423'].profile_link($pdata['user_id'], $pdata['user_name'], $pdata['user_status'])."".$locale['424'].showdate("longdate", $pdata['photo_datestamp'])."\n";
			} else {
				echo $locale['425']."\n";
			}
			echo "</div>\n</td>\n</tr>\n</table>";
			closetable();
			if ($rows) {
				opentable($data['album_title']);
				$result = dbquery(
					"SELECT tp.photo_id, tp.photo_title, tp.photo_description, tp.photo_filename, tp.photo_thumb1,
					tu.user_id, tu.user_name, tu.user_status
					FROM ".DB_PHOTOS." tp
					LEFT JOIN ".DB_USERS." tu ON tp.photo_user=tu.user_id
					WHERE album_id='".$_GET['album_id']."' GROUP BY photo_id ORDER BY photo_order ASC"
				);
				echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n<td class='tbl2'>\n";
				echo "<a href='".FUSION_SELF."'>".$locale['400']."</a> &gt;\n";
				echo "<a href='".FUSION_SELF."?album_id=".$_GET['album_id']."'>".$data['album_title']."</a>\n";
				echo "</td>\n</tr>\n</table>\n";
				$counter = 0;
				echo "<div id='gallery' class='ad-gallery'>
				<div class='ad-image-wrapper'></div>
				<div class='ad-controls'></div>
				<div class='ad-nav'>
				<div class='ad-thumbs'>
				<ul>";
				while ($data = dbarray($result)) {
					echo "<li><a href='".PHOTODIR.$data['photo_filename']."'>
					<img src='".PHOTODIR.$data['photo_thumb1']."' title='".$data['photo_title']."' longdesc='".$data['photo_description']."' class='image".$counter."' />
					</a></li>";
					$counter++;
				}
				echo "</ul>
				</div></div></div>";
				closetable();
			} else {
				opentable($data['album_title']);
				echo "<div style='text-align:center;padding: 10px;'>".$locale['425']."</div>\n";
				closetable();
			}	
		}
	}
} else {
	// Albums start
	opentable($locale['400']);
	$rows = dbcount("(album_id)", DB_PHOTO_ALBUMS, groupaccess('album_access'));
	if ($rows) {
		$result = dbquery(
			"SELECT ta.album_id, ta.album_title, album_description, ta.album_thumb, ta.album_datestamp,
			tu.user_id, tu.user_name, tu.user_status
			FROM ".DB_PHOTO_ALBUMS." ta
			LEFT JOIN ".DB_USERS." tu ON ta.album_user=tu.user_id
			WHERE ".groupaccess('album_access')." ORDER BY album_order ASC"
		);
		echo "<div id='albums'>\n";
		echo "<ul id='albumgallery'>\n";
		while ($data = dbarray($result)) {
			echo "<li>\n";
			echo "<a href='".FUSION_SELF."?album_id=".$data['album_id']."' title='".$data['album_title']."'>
			<span class='title'>".$data['album_title']."</span>
			<img src='".PHOTOS.$data['album_thumb']."' alt='".$data['album_title']."' style='width:235px; height:154px;' class='opacity' /></a>\n";
			echo "</li>\n";
		}
		echo "</ul>\n";
		echo "</div>\n";
		closetable();
	}else{
		echo "<div style='text-align:center'><br />".$locale['406']."<br /><br /></div>\n";
		closetable();
	}
}
?>